{*******************************************************************************
* Unit      : GetSec                                                           *
********************************************************************************
* Purpose   : Gets the secret password from the user.                          *
********************************************************************************
* Copyright : This module is copyright TSM Inc. (Ian Sparkes) 1998.            *
*             All rights reserved. Liability limited to replacement of         *
*             this original source code in the case of loss or damage because  *
*             the use or misuse of this software.                              *
********************************************************************************
* Version   : 23.02.98  - 1.0 Original module                                  *
********************************************************************************
* Switches  : none                                                             *
*******************************************************************************}
unit GetSec;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

{*******************************************************************************
* Type      : frmGetSecret                                                     *
********************************************************************************
* Purpose   : Defines the form object for the window                           *
*             NOTE: Value of the secret is read by the calling module.         *
*******************************************************************************}
type
  TfrmGetSecret = class(TForm)
    grpGetSecret: TGroupBox;
    btnOK: TButton;
    btnCancel: TButton;
    lblInstruction: TLabel;
    lblNameLabel: TLabel;
    lblName: TLabel;
    edtSecret: TEdit;
    procedure btnCancelClick(Sender: TObject);
    procedure edtSecretChange(Sender: TObject);
    procedure btnOKClick(Sender: TObject);
  end;

var
  frmGetSecret: TfrmGetSecret;

implementation

{$R *.DFM}

{*******************************************************************************
* Procedure : TfrmGetSecret.btnCancelClick                                     *
********************************************************************************
* Purpose   : Clears the user input and closes the window                      *
********************************************************************************
* Paramters : none                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmGetSecret.btnCancelClick(Sender: TObject);
begin
     // empty value means that nothing was entered - cancel
     edtSecret.Text := '';
     Close;
end; {TfrmGetSecret.btnCancelClick}


{*******************************************************************************
* Procedure : TfrmGetSecret.edtSecretChange                                    *
********************************************************************************
* Purpose   : Enables or disables the OK button depending on entered text      *
********************************************************************************
* Paramters : none                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmGetSecret.edtSecretChange(Sender: TObject);
begin
     btnOK.Enabled := (Length(edtSecret.Text) > 0);
end; {TfrmGetSecret.edtSecretChange}


{*******************************************************************************
* Procedure : TfrmGetSecret.btnOKClick                                         *
********************************************************************************
* Purpose   : Closes the window. The value in the editbox is read by caller    *
********************************************************************************
* Paramters : none                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmGetSecret.btnOKClick(Sender: TObject);
begin
     Close;
end; {TfrmGetSecret.btnOKClick}

end.
