{*******************************************************************************
* Unit      : Welcome                                                          *
********************************************************************************
* Purpose   : Shows the welcome and information window                         *
********************************************************************************
* Copyright : This module is copyright TSM Inc. (Ian Sparkes) 1998.            *
*             All rights reserved. Liability limited to replacement of         *
*             this original source code in the case of loss or damage because  *
*             the use or misuse of this software.                              *
********************************************************************************
* Version   : 23.02.98  - 1.0 Original module                                  *
********************************************************************************
* Switches  : none                                                             *
*******************************************************************************}
unit welcome;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

{*******************************************************************************
* Type      : frmWelcome                                                       *
********************************************************************************
* Purpose   : Defines the form oblect for the window                           *
*             NOTE: This window closes itself automatically                    *
*******************************************************************************}
type
  TfrmWelcome = class(TForm)
    Timer1: TTimer;
    Panel1: TPanel;
    Image1: TImage;
    lblTitle: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    Bevel1: TBevel;
    lblWarning: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  end;

var
  frmWelcome: TfrmWelcome;

implementation

uses Smail_main;

{$R *.DFM}


{*******************************************************************************
* Procedure : TfrmWelcome.FormCreate                                           *
********************************************************************************
* Purpose   : Creates the welcome window and the main window (hidden)          *
********************************************************************************
* Paramters : none                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmWelcome.FormCreate(Sender: TObject);
begin
     frmMain := TfrmMain.Create(application);
end; {TfrmWelcome.FormCreate}


{*******************************************************************************
* Procedure : TfrmWelcome.Timer1Timer                                          *
********************************************************************************
* Purpose   : Closes this window after a predetermined period                  *
********************************************************************************
* Paramters : none                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmWelcome.Timer1Timer(Sender: TObject);
begin
     Hide;
end; {TfrmWelcome.Timer1Timer}

end.
